body {
    font-family: Helvetica, Arial, sans-serif;
    font-weight: 400;
    font-size: 14px;
    overflow-y: scroll;
    margin: 0;
}
.menu-fix {
    position: fixed;
    background-color: white;
    top: 0;
    left: 0;
    padding-top: 15px;
    padding-bottom: 0px;
    width: 100%;
    z-index: 1;
    border-bottom: 2px solid lightgray; /* menu line */
}

.menu{
    overflow: hidden;
    margin: auto;
    max-width: var(--window-width);
    text-transform: uppercase;
}

.menu-left{
    float: left; /* alignment left */
}

.menu-right{
    float: right; /* alignment right */
}

.menu a {
    float: left; /* manage order */
    font-size: 16px;
    color: dimgray;
    text-align: center;
    padding: 16px 10px;
    text-decoration: none;

}

.menu .icon {
    position: absolute;
    right: 15px;
    top: 15px;
    display: none;
    font-weight: bold;
}

.menu a.logo {
    padding: 0px 0px 10px 0px;
    margin-left: 20px;
    margin-right: 10px; /*gap to between logo and first button*/
    height: 53px; /*height is fixed, find better solution*/
}

.menu a.logo img {
    /*height is fixed, find better solution*/
    height: 39px;
}

@media screen and (max-width: 330px) {
    .menu a.logo img {
        max-height: 20px;
        position: absolute;
        top: 27px;
        left: 5px;
    }
}

.submenu {
    float: left;
    overflow: hidden;
}

.submenu .submenu-btn {
    font-size: 16px;
    border: none;
    outline: none;
    color: dimgray;
    padding: 16px 10px;
    background-color: inherit;
    font-family: inherit;
    text-transform: inherit;
    margin: 0;
}
.submenu .button-for-submenu{
    display:none;
}

.menu .hover-underline:hover {
    position: relative;
}
.menu .hover-underline:hover::after
{
     content:"";
     position: absolute;
     left: calc(50% - 20px); /*20px => half of width*/
     top: 40px;
     width: 40px;
     border-bottom: 3px solid dimgray;
}

.menu .hover-color:hover {
    color: #454545;
}

.submenu-total-width {
    width: 100%;
    background-color: var(--color-submenu-background); /* Desktop lightgray*/
    position: absolute;
    left: 0;
}
.submenu-center{
    margin: auto;
    max-width: 960px;
}

.submenu-content {
    display: none;
    z-index: 1;
    background-color: var(--color-submenu-background); /* Mobile phone lightgray*/
    padding-bottom: 20px;
}

.submenu-content a{
    text-decoration: none;
    padding: 10px 5px;
    color: dimgray;
    font-size: 14px;
    float: none; /* guarantee new line for submenu */
    display: inline-block; /* guarantee new line for submenu */
}

.submenu-content p {
    text-align: left;
    color: var(--color-main-font);
    font-weight: bold;
    font-size: 16px;
    padding: 15px 0px 15px 15px;
    margin: 0;
    text-transform: none;
}
.submenu-content ul{
    list-style-type: none;
    display: inline-block;
    padding: 0;
    margin: 0 0 0 10px;
}

.submenu-side-by-side {
    float:left;
    padding-right: 40px;
}

/**
 * Desktop Version
 * smaller 960px change to mobile version
 */
@media screen and (min-width: 960px) {
    .submenu:hover .submenu-content {
        display: block;
    }
}

/**
 * Mobile Version
 * :not(:first-child) ignore logo
 */
@media screen and (max-width: 960px) {
    .menu .menu-left a:not(:first-child),
    .menu .menu-right a,
    .submenu .submenu-btn {
        display: none;

    }
    /* reset underline "border-bottom" menu*/
    .menu .hover-underline:hover::after,
    .menu .hover-underline:hover::after{
        border-bottom-width: 0px;
    }
    .menu a.icon {
        float: right;
        display: block;
    }

    .submenu .button-for-submenu {
        display:inline;
        padding-left: 10px;
    }
}

@media screen and (max-width: 960px) {

    .menu.responsive{
        overflow-y: auto;
        max-height: 100vh; /*vh = 100% - but only vh works*/
    }

    /* hide menu desktop version */
    .menu.responsive.menu-left
    .menu.responsive.menu-right
    {
        position: relative;
    }
    /* show menu button */
    .menu.responsive .icon {
        position: absolute;
        right: 15px;
        top: 15px;
    }

    /* reset left/right orientation */
    .menu.responsive span
    {
        float: none;
    }
    /* show mobile menu */
    .menu.responsive .menu-left a,
    .menu.responsive .menu-right a
    {
        float: none;
        display: block;
        text-align: left;
    }
    .menu.responsive .submenu {float: none; }
    .menu.responsive .submenu-total-width {
        position: relative;
        float:left;
    }
    .menu.responsive .submenu .submenu-btn {
        display: block;
        width: 100%;
        text-align: left;
    }
    .submenu.responsive .submenu-content  {
        display: block;
    }
}